Implementation of ArrayAccess

- « MongoDB\BSON\Document::offsetGet

- MongoDB\BSON\Document::offsetUnset »

- PHP Manual
- MongoDB\BSON\Document
- Implementation of ArrayAccess

# MongoDB\BSON\Document::offsetSet

(mongodb >=1.17.0)

MongoDB\BSON\Document::offsetSet — Implementation of ArrayAccess

### Description

final public MongoDB\BSON\Document::offsetSet(mixed `$key`, mixed `$value`): void

Sets the value at the specified `key` to `value`.

### Parameters

`key`

  The index being set.

`value`

  The new value for the `key`.

### Return Values

No value is returned.

### Errors/Exceptions

- Always throws a MongoDB\Driver\Exception\LogicException.